{
  "version": "0.2.0",
  "configurations": [
    {
      "type": "node",
      "request": "launch",
      "name": "Debug Nest Framework",
      "runtimeExecutable": "npm",
      "runtimeArgs": ["run", "start:debug", "--", "--inspect-brk"],
      "autoAttachChildProcesses": true,
      "restart": true,
      "sourceMaps": true,
      "stopOnEntry": false,
      "console": "integratedTerminal",
      "env": {
        "HOST_NAME": "localhost"
      }
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Launch TypeScript file with tsx",
      "runtimeExecutable": "npx",
      "runtimeArgs": ["tsx", "--inspect"],
      "args": ["${workspaceFolder}/src/drizzle/import.ts"],
      "cwd": "${workspaceFolder}",
      "outFiles": ["${workspaceFolder}/dist/**/*.js", "!**/node_modules/**"],
      "sourceMaps": true,
      "resolveSourceMapLocations": ["${workspaceFolder}/src/**/*.ts", "!**/node_modules/**"],
      "skipFiles": ["<node_internals>/**", "${workspaceFolder}/node_modules/**/*.js"]
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Launch TypeScript file",
      "runtimeArgs": ["-r", "ts-node/register", "-r", "tsconfig-paths/register"],
      "args": ["${workspaceFolder}/src/drizzle/import.ts"],
      "cwd": "${workspaceFolder}",
      "protocol": "inspector",
      "outFiles": ["${workspaceFolder}/**/*.js"],
      "skipFiles": ["<node_internals>/**", "${workspaceFolder}/node_modules/**/*.js"]
    },
    {
      "type": "node",
      "request": "launch",
      "name": "generateDefs",
      "skipFiles": ["<node_internals>/**"],
      "program": "${workspaceFolder}/dist/src/drizzle/generateDefs.js",
      "outFiles": ["${workspaceFolder}/dist/src/drizzle/**/*.js"],
      "sourceMaps": true,
      "smartStep": true
    },
    {
      "type": "node",
      "request": "launch",
      "name": "generateTypes",
      "skipFiles": ["<node_internals>/**"],
      "program": "${workspaceFolder}/dist/src/drizzle/generateTypes.js",
      "outFiles": ["${workspaceFolder}/dist/src/drizzle/**/*.js"],
      "sourceMaps": true,
      "smartStep": true
    }
  ]
}
